
''My personal approach is draconian and requires a bit more work for the user: first step is erase your tvbox internal memory. After this, the tvbox ceases from being a tvbox and turns it into an SBC with internal flash memory. Without the constraint of the proprietary bootloader all the updates can be supplied - kernel updates included - without any change to the existing armbian code and ecosystem. You will notice that also the standard armbian-config tool will be able to install the system on the internal flash without requiring special scripts or procedures.

In my opinion this is the way to go if you don't just want toy installations on tv boxes.''
[—jock, Posted April 4](https://forum.armbian.com/topic/13611-infrastructure-needed-for-releasing-new-kernels-for-armbian-for-tv-boxes/?tab=comments#comment-98541)